io.etcd.jetcd.api

## Class LeaseGrpc.LeaseFutureStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractFutureStub<LeaseGrpc.LeaseFutureStub>
    - - io.etcd.jetcd.api.LeaseGrpc.LeaseFutureStub

Enclosing class:
  LeaseGrpc

    public static final class LeaseGrpc.LeaseFutureStub
    extends io.grpc.stub.AbstractFutureStub<LeaseGrpc.LeaseFutureStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected LeaseGrpc.LeaseFutureStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.common.util.concurrent.ListenableFuture<LeaseGrantResponse>` `leaseGrant(LeaseGrantRequest request)` LeaseGrant creates a lease which expires if the server does not receive a keepAlive within a given time to live period.
`com.google.common.util.concurrent.ListenableFuture<LeaseRevokeResponse>` `leaseRevoke(LeaseRevokeRequest request)` LeaseRevoke revokes a lease.
`com.google.common.util.concurrent.ListenableFuture<LeaseTimeToLiveResponse>` `leaseTimeToLive(LeaseTimeToLiveRequest request)` LeaseTimeToLive retrieves lease information.

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected LeaseGrpc.LeaseFutureStub build(io.grpc.Channel channel,
                                              io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<LeaseGrpc.LeaseFutureStub>`

#### leaseGrant

    public com.google.common.util.concurrent.ListenableFuture<LeaseGrantResponse> leaseGrant(LeaseGrantRequest request)

     LeaseGrant creates a lease which expires if the server does not receive a keepAlive
     within a given time to live period. All keys attached to the lease will be expired and
     deleted if the lease expires. Each expired key generates a delete event in the event history.

#### leaseRevoke

    public com.google.common.util.concurrent.ListenableFuture<LeaseRevokeResponse> leaseRevoke(LeaseRevokeRequest request)

     LeaseRevoke revokes a lease. All keys attached to the lease will expire and be deleted.

#### leaseTimeToLive

    public com.google.common.util.concurrent.ListenableFuture<LeaseTimeToLiveResponse> leaseTimeToLive(LeaseTimeToLiveRequest request)

     LeaseTimeToLive retrieves lease information.